﻿Imports System.Windows.Forms
Imports System.IO
Imports fio = Microsoft.VisualBasic.FileIO

Public Class frmMatrixTest
	Private fiData As New FileInfo("..\..\Data.csv")
	Private _Mtr As New Matrix(Of Double)
	Private _cult As Globalization.CultureInfo = Globalization.CultureInfo.InvariantCulture

	Public Sub New()
		InitializeComponent()
		btReLoad.PerformClick()
	End Sub

	Private Sub btReLoad_Click(sender As Object, e As EventArgs) Handles btReLoad.Click
		_Mtr.Mtr.Clear()
		Using tfp = New fio.TextFieldParser(fiData.FullName) With {.Delimiters = {","}, .TextFieldType = fio.FieldType.Delimited}
			Do Until tfp.EndOfData
				_Mtr.AddRow(tfp.ReadFields.Select(Function(x) Double.Parse(x.Trim, _cult)))
			Loop
		End Using
		txtData.Clear()
		txtData.Text = _Mtr.AllToString
	End Sub


	Private Sub btSearch_Click(sender As Object, e As EventArgs) Handles btSearch.Click
		Dim y = Double.Parse(txtY.Text.Trim, _cult)
		Dim x = Double.Parse(txtX.Text.Trim, _cult)
		txtResult.Text = _Mtr(y, x).ToString(_cult)
	End Sub
End Class